corda / net.corda.contracts.asset / Obligation / Commands / SetLifecycle

# SetLifecycle

`data class SetLifecycle : Commands`

A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

### Constructors

<init> | `SetLifecycle(lifecycle: Lifecycle)` A command stating that the beneficiary is moving the contract into the defaulted state as it has not been settled by the due date, or resetting a defaulted contract back to the issued state.

### Properties

inverse | `val inverse: Lifecycle`
lifecycle | `val lifecycle: Lifecycle`